#!/bin/bash


echo "Please, insert the Pulse-APT IP Address:"
read pulseIP

if [ -f id_dsa.pub ]; then
	rm id_dsa.pub
fi
wget http://$pulseIP/id_dsa.pub

if ![ -f id_dsa.pub ]; then
	echo "The IP Address which you insert is incorrect or pulse server is down!"
	echo "Auto-configure FAILED!"
	exit -1
fi

mkdir -p /root/.ssh
cat id_dsa.pub >> /root/.ssh/authorized_keys

lastHostLine=`cat /etc/hosts | grep pulseserver`
sed -i "s/$lastHostLine/$pulseIP pulseserver/" /etc/hosts

## activar o serviço no arranque
/etc/init.d/sshd restart
chkconfig sshd on

echo "Registering computer now..."
ocsinventory-agent -server http://pulseserver:9999/ocsinventory
echo "Configuration Done!"
rm id_dsa.pub
exit 0 
